E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
gresolverfuture.h File Reference
`#include "gdef.h"`
`#include "gaddress.h"`
`#include <utility>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Classes
class | GNet::ResolverFuture
| A 'future' object for asynchronous name resolution, in practice holding just enough state for a single call to getaddrinfo(). More...

## Namespaces
| GNet
| Network classes.